<?php
/**
 * @package         {package}
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts-Extensions All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

require_once __DIR__ . '/LartsInstallerBase.php';

class CaptchaInstaller extends LartsInstallerBase
{
	public function __construct()
	{
		$this->message_name = 'Logical-Arts Markdown Plugin';
		$this->extension_name = 'lartsmarkdown';			// == name of the root xml file
		$this->extension_type = 'plugin';
		$this->element = 'lartsmarkdown';						// == foldername of extension
		$this->plugin_folder = 'content';
		$this->show_message = true;
		$this->autopublish = true; 

		parent::__construct();
	}

}

return new CaptchaInstaller;
