<?php
/**
 * @package         {package}
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts-Extensions All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Plugin\Content\LartsMarkdown;
defined('_JEXEC') or die();


class LartsPluginHelper
{
  public static function serverFetchDoc()
	{
    // Some browsers will request the page multiple times to collect other data.
    if(isset($_SERVER['HTTP_SEC_FETCH_DEST'])) {
      $sec_fetch_dest = $_SERVER['HTTP_SEC_FETCH_DEST'];
      if($sec_fetch_dest !== 'document') {
        return false;
      }
    }
    return true;
	}
}

