<?php
/**
 * @package         {package}
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts-Extensions All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

// Define a helper constant to indicate the Joomla installation
$ver = explode('.', JVERSION, 2);
if ($ver[0] == 5) {
  if(!defined('verJ5')) {
    define('verJ5', true);
  }
}
else if ($ver[0] == 4) {
  if(!defined('verJ4')) {
    define('verJ4', true);
  }
}
else {
  if(!defined('verJ3')) {
    define('verJ3', true);
  }
}


JLoader::registerNamespace('Larts\Plugin\Content\LartsMarkdown', JPATH_SITE . '/plugins/content/lartsmarkdown/lib', false, false, 'psr4');

// mardown parser
JLoader::registerNamespace('Parsedown', JPATH_SITE . '/plugins/content/lartsmarkdown/lib/3rd_party/Parsedown', false, false, 'psr4');


